Opened 8 years ago

Last modified 4 years ago

#1052 new enhancement/feature request

navit lacks qt5 support

Reported by: michael leibowitz Owned by: KaZeR
Priority: minor Milestone: version 0.6.0
Component: core Version: git master
Severity: normal Keywords: qt, gui, graphics
Cc: sebastian.leske@…, henry_yei@…

Description

Navit has cmake specific to qt4, but no support for qt5.

Change History (7)

comment:1 follow-up: Changed 8 years ago by sleske

Yes - and why is this a bug? It's not like Qt4 will disappear.

comment:2 in reply to: ↑ 1 Changed 8 years ago by michael leibowitz

Replying to http://sleske.myopenid.com/:

Yes - and why is this a bug? It's not like Qt4 will disappear.

Qt5 supports wayland, while Qt4 does not.

comment:3 Changed 8 years ago by korrosa

  • Type changed from defect/bug to enhancement/feature request

Modify to feature request, as it's not quite a bug!

comment:4 Changed 7 years ago by sleske

  • Cc sebastian.leske@… added

comment:5 Changed 7 years ago by usul

  • Keywords qt gui graphics added
  • Milestone set to version 0.6.0
  • Priority changed from major to minor

I don't see this as a essential problem. We need to make clear, if we are talking about a graphics driver or a GUI (as QML UI).

AFAIK user:xenos1984 is working on something to get Navit ob ubuntu touch running, that has no more X11.

IMHO this isn't very essential, so I schedule for next major release.

comment:6 Changed 7 years ago by henry_yei

  • Cc henry_yei@… added

comment:7 Changed 4 years ago by kazer

  • Severity set to normal

Metalstrolch has started working on the QT5 support : https://github.com/metalstrolch/navit

Also several people expressed interest in working on a QML2 UI. This should happen during the 0.6 release cycle.

Note: See TracTickets for help on using tickets.